import request from '@/config/axios'

export interface MmResultTableVO {
  id: string
  tablename: string,
}

export interface MmResultTablePageReqVO extends PageParam {
  tablename?: string
}

// 查询MmResultTable列表
export const getMmResultTablePage = (params: MmResultTablePageReqVO) => {
  return request.get({ url: '/model/pre/result-table/page', params })
}

// 查询MmResultTable详情
export const getMmResultTable = (id: number) => {
  return request.get({ url: `/model/pre/result-table/get/${id}`})
}

// 新增MmResultTable
export const createMmResultTable = (data: MmResultTableVO) => {
  return request.post({ url: '/model/pre/result-table/create', data })
}

// 修改MmResultTable
export const updateMmResultTable = (data: MmResultTableVO) => {
  return request.put({ url: '/model/pre/result-table/update', data })
}

// 删除MmResultTable
export const deleteMmResultTable = (id: number) => {
  return request.delete({ url: '/model/pre/result-table/delete?id=' + id })
}


// 查询getResulttableList详情
export const getResulttableList = () => {
  return request.get({ url: `/model/pre/result-table/list`})
}

// 查询getResulttableList详情
export const getResultstridList = () => {
  return request.get({ url: `/model/pre/model-resultstr/list`})
}
